Package ru.bitel.bgbilling.modules.agr.common.bean

# Class Transaction

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.common.bean.BGAbstractTransaction
ru.bitel.bgbilling.modules.agr.common.bean.Transaction

All Implemented Interfaces:
  `java.io.Serializable`, `Idable`

    public class Transaction
    extends BGAbstractTransaction

класс-модель транзакции модуля AGR.

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Transaction()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getAgrPaymentName()` | Получение названия платежной системы, через которую реально было проведено пополнение.
  `AGREnvironment` | `getEnvironment()` | Получение информации о том, в какой среде был проведен платеж - в тестовой или боевой.
  `void` | `setAgrPaymentName​(java.lang.String agrPaymentName)` | Установка названия платежной системы, через которую реально было проведено пополнение.
  `void` | `setEnvironment​(AGREnvironment environment)` | Установка информации о том, в какой среде был проведен платеж - в тестовой или боевой.

  ### Methods inherited from class ru.bitel.bgbilling.common.bean.BGAbstractTransaction

  `getCardholderName, getContractComment, getContractId, getContractTitle, getCreateDate, getPan, getParameter, getPaymentId, getStatus, getSum, getTransactionDate, getTransactionId, isAutopayment, setAutopayment, setContractComment, setContractId, setContractTitle, setCreateDate, setPaymentId, setStatus, setSum, setTransactionDate, setTransactionId, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Transaction

    public Transaction()

- ## Method Details

  - ### getAgrPaymentName

    public java.lang.String getAgrPaymentName()
    Получение названия платежной системы, через которую реально было проведено пополнение.
    Returns:
      название платежной системы

  - ### setAgrPaymentName

    public void setAgrPaymentName​(java.lang.String agrPaymentName)
    Установка названия платежной системы, через которую реально было проведено пополнение.
    Parameters:
      `agrPaymentName` - название платежной системы

  - ### getEnvironment

    public AGREnvironment getEnvironment()
    Получение информации о том, в какой среде был проведен платеж - в тестовой или боевой. Возможные значения: *
    *
    - `AGREnvironment.live` - боевой режим, реальный платеж
    *
    - `AGREnvironment.sandbox` - тестовый режим
    *
    Returns:

  - ### setEnvironment

    public void setEnvironment​(AGREnvironment environment)
    Установка информации о том, в какой среде был проведен платеж - в тестовой или боевой. Возможные значения: *
    *
    - `AGREnvironment.live` - боевой режим, реальный платеж
    *
    - `AGREnvironment.sandbox` - тестовый режим
    *
    Parameters:
      `environment` -